POST /teams/{teamId}/tasks/{id}/deliverables
Gate de escrita → body (400) → conteúdo validado (413/422) → 1 tx.
- Acesso: Membro da equipe
- Serviço:
https://api-workspace.axuz.net
Autenticação aceita
sessionCookie— Sessão plena Axuz (cookie de sessão da casa). Sessão restrita é 403 enrollment_required.bearerSession— JWT de acesso da sessão em `Authorization: Bearer`.
Gate de escrita → body (400) → conteúdo validado (413/422) → 1 tx.
createDeliverableHandler — POST .../tasks/{id}/deliverables.
Retorno: 201; 400; 401; 403; 404; 413; 422; 500. Fluxo: "adicionar entrega" no card.
Parâmetros
| Nome | Em | Tipo | Obrigatório | Descrição |
|---|---|---|---|---|
teamId | path | string | sim | |
id | path | string | sim |
Corpo da requisição
application/json · Obrigatório
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
kind | string | não | Obrigatorio no POST; imutavel no PATCH enum: |
title | string | não | |
body | string | não | markdown (kind=text) |
url | string | não | https (kind=link) |
file | DeliverableFile | não | |
file.file_id | string<uuid> | sim | |
file.name | string | sim | |
file.mime | string | sim | |
file.size | integer | sim | |
position | number | não |
{
"kind": "text",
"title": "string",
"body": "string",
"url": "string",
"file": {
"file_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"mime": "string",
"size": 1
},
"position": 1
}Respostas
201
Criada
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
id | string<uuid> | sim | |
team_id | string<uuid> | sim | |
task_id | string<uuid> | sim | |
kind | string | sim | enum: |
title | string | não | |
body | string | não | markdown CRU (a sanitizacao e na renderizacao) |
url | string | não | |
file | DeliverableFile | não | |
file.file_id | string<uuid> | sim | |
file.name | string | sim | |
file.mime | string | sim | |
file.size | integer | sim | |
position | number | sim | |
created_by | string<uuid> | sim | |
created_at | string<date-time> | sim | |
updated_at | string<date-time> | sim |
400
Erro ({"error": "..."})
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
401
Sem credencial valida
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
403
Erro ({"error": "..."})
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
404
Erro ({"error": "..."})
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
413
Erro ({"error": "..."})
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
422
Erro ({"error": "..."})
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
429
Limite de requisições excedido.
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
500
. Fluxo: "adicionar entrega" no card
| Nome | Tipo | Obrigatório | Descrição |
|---|---|---|---|
error | string | sim |
Exemplos
O "Try it" está desligado nesta referência. Use os exemplos com a sua credencial de teste.
curl
curl -sS -X POST 'https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/deliverables' \
-H "Authorization: Bearer $AXUZ_TOKEN" \
-H "Content-Type: application/json" \
-d '{"kind":"text","title":"string","body":"string","url":"string","file":{"file_id":"00000000-0000-0000-0000-000000000000","name":"string","mime":"string","size":1},"position":1}'Node.js
const res = await fetch("https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/deliverables", {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.AXUZ_TOKEN}`,
'Content-Type': 'application/json',
},
body: JSON.stringify({
"kind": "text",
"title": "string",
"body": "string",
"url": "string",
"file": {
"file_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"mime": "string",
"size": 1
},
"position": 1
}),
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());Python
import os
import requests
res = requests.request(
"POST",
"https://api-workspace.axuz.net/teams/TEAM_ID/tasks/ID/deliverables",
headers={
"Authorization": f"Bearer {os.environ['AXUZ_TOKEN']}",
},
json={
"kind": "text",
"title": "string",
"body": "string",
"url": "string",
"file": {
"file_id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"mime": "string",
"size": 1,
},
"position": 1,
},
timeout=30,
)
res.raise_for_status()
print(res.json())